Bug 58320 - NFS install from Redhat 7.2 server hangs NFS on server
NFS install from Redhat 7.2 server hangs NFS on server
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-14 04:07 EST by Klamer Schutte
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 19:13:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Klamer Schutte 2002-01-14 04:07:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (Win98; U)

Description of problem:
When installing RedHat 7.2 from a server also running RedHat 7.2 the nfsd deamons on the server all locked with status DW as reported by ps. 
reported system load was high, but system response still OK. Needless to say -- the install didn't work. Point in install process where this 
happened was different on two installs (didn't try more -- NFS server is a production machine, and
needs a reboot after the failure)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. boot NFS server, export tree of RedHat 7.2 disk 1 and 2 (overlayed over each other)
2. boot to-be-installed machine with bootnet.img image
3. select NFS install
4. go through install dialogs
	

Actual Results:  All nfsd deamons (8 of them) end up in DW state. Before this throughput seems excellent.

Expected Results:  All nfsd deamons should only have the 'D' status when doing actual disk I/O

Additional info:

relevant rpm's (updated from RedHat 7.2 distribution by RedHat errata:)
kernel-2.4.9.-13
glibc-2.2.4-19
nfs-utils-0.3.1-13.7.2.1 (as reported by rpm -qa)

Custom kernel configuration on server
Server is a single CPU Pentium IV 1.7 Ghz
Exported disk is a VFAT file system, on a (fast) IDE disk.
Both network cards support 100Mbit operation
Network cards connected through company hub/switch (I don't know what)
Comment 1 Bob Matthews 2002-01-14 10:49:55 EST
The current version of nfsd in the kernel does not allow the exporting of FAT
based file systems.  You might want to try copying the ISO's to and EXT3
partition.

Note You need to log in before you can comment on or make changes to this bug.